summaryrefslogtreecommitdiffstats
path: root/tests/test-lz4-opt-parser.sh
diff options
context:
space:
mode:
authorTristan Partin <tristan@partin.io>2022-08-16 07:36:48 (GMT)
committerTristan Partin <tristan@partin.io>2022-10-20 04:27:05 (GMT)
commit198e532300f253ada3acac3ab5428ed991adb085 (patch)
treeb5c04cd31e42772751dac47bc6a0780b581b871d /tests/test-lz4-opt-parser.sh
parente312412c60140b3d061526499cef22e5e99d7751 (diff)
downloadlz4-198e532300f253ada3acac3ab5428ed991adb085.zip
lz4-198e532300f253ada3acac3ab5428ed991adb085.tar.gz
lz4-198e532300f253ada3acac3ab5428ed991adb085.tar.bz2
Update Meson build to 1.9.4
Specifically this adds support for the following options: - LZ4_ALIGN_TEST - LZ4_STATIC_LINKING_ONLY_DISABLE_MEMORY_ALLOCATION - LZ4_DISTANCE_MAX - LZ4_FAST_DEC_LOOP - LZ4_FORCE_SW_BITCOUNT - LZ4_FREESTANDING - LZ4_USER_MEMORY_FUNCTIONS - compiling ossfuzz targets - compiling more test targets - registering some tests
Diffstat (limited to 'tests/test-lz4-opt-parser.sh')
-rwxr-xr-xtests/test-lz4-opt-parser.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/test-lz4-opt-parser.sh b/tests/test-lz4-opt-parser.sh
new file mode 100755
index 0000000..5b8d1dc
--- /dev/null
+++ b/tests/test-lz4-opt-parser.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+set -x
+
+datagen -g16KB | lz4 -12 | lz4 -t
+datagen -P10 | lz4 -12B4 | lz4 -t
+datagen -g256K | lz4 -12B4D | lz4 -t
+datagen -g512K -P25 | lz4 -12BD | lz4 -t
+datagen -g1M | lz4 -12B5 | lz4 -t
+datagen -g1M -s2 | lz4 -12B4D | lz4 -t
+datagen -g2M -P99 | lz4 -11B4D | lz4 -t
+datagen -g4M | lz4 -11vq | lz4 -qt
+datagen -g8M | lz4 -11B4 | lz4 -t
+datagen -g16M -P90 | lz4 -11B5 | lz4 -t
+datagen -g32M -P10 | lz4 -11B5D | lz4 -t